org.wildfly.swarm.config.messaging.activemq

## Class JMSBridge<T extends JMSBridge<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.JMSBridge<T>

-     public class JMSBridge<T extends JMSBridge<T>>
      extends Object

  A JMS bridge instance.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JMSBridge.QualityOfService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSBridge(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `addMessageidInHeader()` If true, then the original message's message ID will be appended in the message sent to the destination in the header AMQ_BRIDGE_MSG_ID_LIST.
    `T` | `addMessageidInHeader(Boolean value)` If true, then the original message's message ID will be appended in the message sent to the destination in the header AMQ_BRIDGE_MSG_ID_LIST.
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `clientId()` The JMS client ID to use when creating/looking up the subscription if it is durable and the source destination is a topic.
    `T` | `clientId(String value)` The JMS client ID to use when creating/looking up the subscription if it is durable and the source destination is a topic.
    `Long` | `failureRetryInterval()` The amount of time in milliseconds to wait between trying to recreate connections to the source or target servers when the bridge has detected they have failed.
    `T` | `failureRetryInterval(Long value)` The amount of time in milliseconds to wait between trying to recreate connections to the source or target servers when the bridge has detected they have failed.
    `String` | `getKey()`
    `Integer` | `maxBatchSize()` The maximum number of messages to consume from the source destination before sending them in a batch to the target destination.
    `T` | `maxBatchSize(Integer value)` The maximum number of messages to consume from the source destination before sending them in a batch to the target destination.
    `Long` | `maxBatchTime()` The maximum number of milliseconds to wait before sending a batch to target, even if the number of messages consumed has not reached max-batch-size.
    `T` | `maxBatchTime(Long value)` The maximum number of milliseconds to wait before sending a batch to target, even if the number of messages consumed has not reached max-batch-size.
    `Integer` | `maxRetries()` The number of times to attempt to recreate connections to the source or target servers when the bridge has detected they have failed.
    `T` | `maxRetries(Integer value)` The number of times to attempt to recreate connections to the source or target servers when the bridge has detected they have failed.
    `String` | `module()` The name of AS7 module containing the resources required to lookup source and target JMS resources.
    `T` | `module(String value)` The name of AS7 module containing the resources required to lookup source and target JMS resources.
    `Boolean` | `paused()` Whether the JMS bridge is paused.
    `T` | `paused(Boolean value)` Whether the JMS bridge is paused.
    `JMSBridge.QualityOfService` | `qualityOfService()` The desired quality of service mode (AT_MOST_ONCE, DUPLICATES_OK or ONCE_AND_ONLY_ONCE).
    `T` | `qualityOfService(JMSBridge.QualityOfService value)` The desired quality of service mode (AT_MOST_ONCE, DUPLICATES_OK or ONCE_AND_ONLY_ONCE).
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `selector()` A JMS selector expression used for consuming messages from the source destination.
    `T` | `selector(String value)` A JMS selector expression used for consuming messages from the source destination.
    `String` | `sourceConnectionFactory()` The name of the source connection factory to lookup on the source messaging server.
    `T` | `sourceConnectionFactory(String value)` The name of the source connection factory to lookup on the source messaging server.
    `Map` | `sourceContext()` The properties used to configure the source JNDI initial context.
    `T` | `sourceContext(Map value)` The properties used to configure the source JNDI initial context.
    `T` | `sourceContext(String key, Object value)` The properties used to configure the source JNDI initial context.
    `Map` | `sourceCredentialReference()` Credential (from Credential Store) to authenticate source connection
    `T` | `sourceCredentialReference(Map value)` Credential (from Credential Store) to authenticate source connection
    `T` | `sourceCredentialReference(String key, Object value)` Credential (from Credential Store) to authenticate source connection
    `String` | `sourceDestination()` The name of the source destination to lookup on the source messaging server.
    `T` | `sourceDestination(String value)` The name of the source destination to lookup on the source messaging server.
    `String` | `sourcePassword()` The password for creating the source connection.
    `T` | `sourcePassword(String value)` The password for creating the source connection.
    `String` | `sourceUser()` The name of the user for creating the source connection.
    `T` | `sourceUser(String value)` The name of the user for creating the source connection.
    `Boolean` | `started()` Whether the JMS bridge is started.
    `T` | `started(Boolean value)` Whether the JMS bridge is started.
    `String` | `subscriptionName()` The name of the subscription if it is durable and the source destination is a topic.
    `T` | `subscriptionName(String value)` The name of the subscription if it is durable and the source destination is a topic.
    `String` | `targetConnectionFactory()` The name of the target connection factory to lookup on the target messaging server.
    `T` | `targetConnectionFactory(String value)` The name of the target connection factory to lookup on the target messaging server.
    `Map` | `targetContext()` The properties used to configure the target JNDI initial context.
    `T` | `targetContext(Map value)` The properties used to configure the target JNDI initial context.
    `T` | `targetContext(String key, Object value)` The properties used to configure the target JNDI initial context.
    `Map` | `targetCredentialReference()` Credential (from Credential Store) to authenticate target connection
    `T` | `targetCredentialReference(Map value)` Credential (from Credential Store) to authenticate target connection
    `T` | `targetCredentialReference(String key, Object value)` Credential (from Credential Store) to authenticate target connection
    `String` | `targetDestination()` The name of the target destination to lookup on the target messaging server.
    `T` | `targetDestination(String value)` The name of the target destination to lookup on the target messaging server.
    `String` | `targetPassword()` The password for creating the target connection.
    `T` | `targetPassword(String value)` The password for creating the target connection.
    `String` | `targetUser()` The name of the user for creating the target connection.
    `T` | `targetUser(String value)` The name of the user for creating the target connection.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSBridge

          public JMSBridge(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### addMessageidInHeader

          public Boolean addMessageidInHeader()

      If true, then the original message's message ID will be appended in the message sent to the destination in the header AMQ_BRIDGE_MSG_ID_LIST. If the message is bridged more than once, each message ID will be appended.

    - #### addMessageidInHeader

          public T addMessageidInHeader(Boolean value)

      If true, then the original message's message ID will be appended in the message sent to the destination in the header AMQ_BRIDGE_MSG_ID_LIST. If the message is bridged more than once, each message ID will be appended.

    - #### clientId

          public String clientId()

      The JMS client ID to use when creating/looking up the subscription if it is durable and the source destination is a topic.

    - #### clientId

          public T clientId(String value)

      The JMS client ID to use when creating/looking up the subscription if it is durable and the source destination is a topic.

    - #### failureRetryInterval

          public Long failureRetryInterval()

      The amount of time in milliseconds to wait between trying to recreate connections to the source or target servers when the bridge has detected they have failed.

    - #### failureRetryInterval

          public T failureRetryInterval(Long value)

      The amount of time in milliseconds to wait between trying to recreate connections to the source or target servers when the bridge has detected they have failed.

    - #### maxBatchSize

          public Integer maxBatchSize()

      The maximum number of messages to consume from the source destination before sending them in a batch to the target destination. Its value must >= 1.

    - #### maxBatchSize

          public T maxBatchSize(Integer value)

      The maximum number of messages to consume from the source destination before sending them in a batch to the target destination. Its value must >= 1.

    - #### maxBatchTime

          public Long maxBatchTime()

      The maximum number of milliseconds to wait before sending a batch to target, even if the number of messages consumed has not reached max-batch-size. Its value must be -1 to represent 'wait forever', or >= 1 to specify an actual time.

    - #### maxBatchTime

          public T maxBatchTime(Long value)

      The maximum number of milliseconds to wait before sending a batch to target, even if the number of messages consumed has not reached max-batch-size. Its value must be -1 to represent 'wait forever', or >= 1 to specify an actual time.

    - #### maxRetries

          public Integer maxRetries()

      The number of times to attempt to recreate connections to the source or target servers when the bridge has detected they have failed. The bridge will give up after trying this number of times. -1 represents 'try forever'.

    - #### maxRetries

          public T maxRetries(Integer value)

      The number of times to attempt to recreate connections to the source or target servers when the bridge has detected they have failed. The bridge will give up after trying this number of times. -1 represents 'try forever'.

    - #### module

          public String module()

      The name of AS7 module containing the resources required to lookup source and target JMS resources.

    - #### module

          public T module(String value)

      The name of AS7 module containing the resources required to lookup source and target JMS resources.

    - #### paused

          public Boolean paused()

      Whether the JMS bridge is paused.

    - #### paused

          public T paused(Boolean value)

      Whether the JMS bridge is paused.

    - #### qualityOfService

          public JMSBridge.QualityOfService qualityOfService()

      The desired quality of service mode (AT_MOST_ONCE, DUPLICATES_OK or ONCE_AND_ONLY_ONCE).

    - #### qualityOfService

          public T qualityOfService(JMSBridge.QualityOfService value)

      The desired quality of service mode (AT_MOST_ONCE, DUPLICATES_OK or ONCE_AND_ONLY_ONCE).

    - #### selector

          public String selector()

      A JMS selector expression used for consuming messages from the source destination. Only messages that match the selector expression will be bridged from the source to the target destination.

    - #### selector

          public T selector(String value)

      A JMS selector expression used for consuming messages from the source destination. Only messages that match the selector expression will be bridged from the source to the target destination.

    - #### started

          public Boolean started()

      Whether the JMS bridge is started.

    - #### started

          public T started(Boolean value)

      Whether the JMS bridge is started.

    - #### subscriptionName

          public String subscriptionName()

      The name of the subscription if it is durable and the source destination is a topic.

    - #### subscriptionName

          public T subscriptionName(String value)

      The name of the subscription if it is durable and the source destination is a topic.

    - #### sourceConnectionFactory

          public String sourceConnectionFactory()

      The name of the source connection factory to lookup on the source messaging server.

    - #### sourceConnectionFactory

          public T sourceConnectionFactory(String value)

      The name of the source connection factory to lookup on the source messaging server.

    - #### sourceContext

          public Map sourceContext()

      The properties used to configure the source JNDI initial context.

    - #### sourceContext

          public T sourceContext(Map value)

      The properties used to configure the source JNDI initial context.

    - #### sourceContext

          public T sourceContext(String key,
                                 Object value)

      The properties used to configure the source JNDI initial context.

    - #### sourceCredentialReference

          public Map sourceCredentialReference()

      Credential (from Credential Store) to authenticate source connection

    - #### sourceCredentialReference

          public T sourceCredentialReference(Map value)

      Credential (from Credential Store) to authenticate source connection

    - #### sourceCredentialReference

          public T sourceCredentialReference(String key,
                                             Object value)

      Credential (from Credential Store) to authenticate source connection

    - #### sourceDestination

          public String sourceDestination()

      The name of the source destination to lookup on the source messaging server.

    - #### sourceDestination

          public T sourceDestination(String value)

      The name of the source destination to lookup on the source messaging server.

    - #### sourcePassword

          public String sourcePassword()

      The password for creating the source connection.

    - #### sourcePassword

          public T sourcePassword(String value)

      The password for creating the source connection.

    - #### sourceUser

          public String sourceUser()

      The name of the user for creating the source connection.

    - #### sourceUser

          public T sourceUser(String value)

      The name of the user for creating the source connection.

    - #### targetConnectionFactory

          public String targetConnectionFactory()

      The name of the target connection factory to lookup on the target messaging server.

    - #### targetConnectionFactory

          public T targetConnectionFactory(String value)

      The name of the target connection factory to lookup on the target messaging server.

    - #### targetContext

          public Map targetContext()

      The properties used to configure the target JNDI initial context.

    - #### targetContext

          public T targetContext(Map value)

      The properties used to configure the target JNDI initial context.

    - #### targetContext

          public T targetContext(String key,
                                 Object value)

      The properties used to configure the target JNDI initial context.

    - #### targetCredentialReference

          public Map targetCredentialReference()

      Credential (from Credential Store) to authenticate target connection

    - #### targetCredentialReference

          public T targetCredentialReference(Map value)

      Credential (from Credential Store) to authenticate target connection

    - #### targetCredentialReference

          public T targetCredentialReference(String key,
                                             Object value)

      Credential (from Credential Store) to authenticate target connection

    - #### targetDestination

          public String targetDestination()

      The name of the target destination to lookup on the target messaging server.

    - #### targetDestination

          public T targetDestination(String value)

      The name of the target destination to lookup on the target messaging server.

    - #### targetPassword

          public String targetPassword()

      The password for creating the target connection.

    - #### targetPassword

          public T targetPassword(String value)

      The password for creating the target connection.

    - #### targetUser

          public String targetUser()

      The name of the user for creating the target connection.

    - #### targetUser

          public T targetUser(String value)

      The name of the user for creating the target connection.

Copyright © 2018 JBoss by Red Hat. All rights reserved.